Bug 7357 - Subscriptions titles are replaced by "---" when duplicated
Summary: Subscriptions titles are replaced by "---" when duplicated
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Adrien SAURAT
QA Contact: Paul Poulain
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-14 13:33 UTC by Adrien SAURAT
Modified: 2013-12-05 19:59 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (2.30 KB, patch)
2012-01-09 10:57 UTC, Adrien SAURAT
Details | Diff | Splinter Review
Bug 7357: display serial title instead of '---' (2.35 KB, patch)
2012-01-13 06:58 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Adrien SAURAT 2011-12-14 13:33:58 UTC
If we have one subscription with the title "Example", it's correctly displayed in the "Serials subscriptions" result page.

But if several subscriptions are made for the same serial (different locations for exemple), then the first one is displayed completely but in the following lines, the title is replaced by '---'.

It was implemented this way in order to avoid repetitions and make things clearer, but in fact some users are confused by this behaviour. It would probably be better to display each line with a full title.
Comment 1 Katrin Fischer 2011-12-14 13:50:02 UTC
I agree that the current display is not ideal, but perhaps we can find a way to do both? Indicate that there is more than one subscription for this title and display more than -- ? Perhaps Owen or someone else has a good idea?
Comment 2 Ian Walls 2011-12-14 22:02:51 UTC
Could the subscriptions for the title be grouped somehow in the same table line?  So each title gets a row, then as many subscriptions are put into a table of their own, with columns for the rest of the data?
Comment 3 Adrien SAURAT 2012-01-06 10:51:17 UTC
Our customer just asked for the title to appear instead of this '---' string. I really think it would be enough, and don't see any real advantage in doing something complicated here.

I'll wait for a community decision, but my vote would go for the simple removal of this "replace TITLE with ---" rule.
Comment 4 Owen Leonard 2012-01-06 13:17:43 UTC
I've done some experimenting with it and have not been able to come up with a solution that I think works better. For now I would agree that letting duplicate titles appear is probably the best option.
Comment 5 Adrien SAURAT 2012-01-09 10:57:40 UTC Comment hidden (obsolete)
Comment 6 Chris Cormack 2012-01-13 06:58:39 UTC
Created attachment 7126 [details] [review]
Bug 7357: display serial title instead of '---'

The full title of a serial is now displayed even
if several lines have the same title.

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 7 Paul Poulain 2012-01-17 15:09:02 UTC
QA comment: simple patch, no comment. This patch will be needed when introducing DataTable to this list
Comment 8 Jared Camins-Esakov 2012-05-23 12:53:49 UTC
This fix was included in the 3.6.x branch prior to 3.6.4.